Subject: bug#25126: 26.0.50; Gnus reacts poorly to email flags being changed behind its back

From: Glenn Morris <[email-masked]>
Date: Fri, 27 Sep 2019 12:20:27 -0400

Lars Ingebrigtsen wrote:

> So I have to ask again -- what Gnus backend is this about, and what are
> the error messages?

The example in the OP is about nnmaildir.

I don't think the details are relevant, but it happens to be being
synced from imap by an external process. For example, a maildir file
might change name from "stuff:2,S" to "stuff:2,RS" if you reply to the
message via an imap client. Or it could have been moved to a different
folder, or deleted altogether. It's not obvious to me what Gnus could do
in this situation.

I imagine you could reproduce it by visiting a Maildir with Gnus, then
renaming one of the files externally.

I imagine none of the Gnus backends (except imap) are prepared for files
to be renamed by other processes while Gnus is running?